<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/

require("../../authentication.php");

include("../../config/compile_config.php"); 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <title>WebDevStudio :: An online integrated development environment</title>
    <link href="../../styles/general.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript">	
	/*<![CDATA[*/
		function change_location(location) {
			window.location=location;
		}
		function update_form() {
			document.project_form.action="new_project.php";
			document.project_form.submit();			 
		}
	/*]]>*/
	</script>
</head>
<body>
	<div id="all">
		<?php include("head_project.php") ?>
        <div id="content">
            <div id="content_left">
                <?php include("menu_projects.php") ?>
            </div>
            
            <div id="content_center">
                <form id="project_form" name="project_form" method="post" action="new_project_res.php">
                    <fieldset>
                        <legend>Create a new project</legend>
                        <ul>
                            <li class="form_description">
                            	Please fill out this form to create a new project.
                            </li>
                            <li>
                                <label for="name">Name:</label>
                                <?php if (isset($_POST['name'])) { ?>
								<input id="name" name="name" type="text" value="<?php echo $_POST['name'] ?>" /> *
								<?php } else { ?>
                                <input id="name" name="name" type="text" /> *
								<?php } ?>
                            </li>
                            <li>
                                <label for="description">Description:</label>
                                <?php if (isset($_POST['description'])) { ?>
								<textarea id="description" name="description" cols="40" rows="5"><?php echo $_POST['description'] ?></textarea>
								<?php } else { ?>
                                <textarea id="description" name="description" cols="40" rows="5"></textarea>
								<?php } ?>
                            </li>
                            <li>
	                            <label for="platform">Platform:</label>
                                <select name="platform" class="textfield" id="platform" onchange="update_form()">
                                	<option></option>
									<?php
                                    for ($i=0; $i<count($platforms); $i++) {
                                        if (isset($_POST['platform']) && $_POST['platform']==$platforms[$i]) {
                                            echo '<option value="'.$platforms[$i].'" selected="selected">'.$platforms[$i].'</option>';
                                        }
                                        else {
                                            echo '<option value="'.$platforms[$i].'">'.$platforms[$i].'</option>';
                                        }
                                    }
                                    ?>
                             	</select> *
                            </li>
                            <li>
                            	<label for="language">Language:</label>
								<?php
                                if (isset($_POST['platform']) && $_POST['platform']!="") {
                                    echo '<select id="language" name="language" onchange="update_form()">';
                                    echo '<option> </option>';
                                    $platform=$_POST['platform'];
                                    if (isset($_POST['language']) && $_POST['language']!="") {
                                        for ($i=0; $i<count($languages[$platform]); $i++) {
                                            if ($_POST['language']==$languages[$platform][$i]) {
                                                echo '<option value="'.$languages[$platform][$i].'" selected="selected">'.$languages[$platform][$i].'</option>';
                                            }
                                            else {
                                                echo '<option value="'.$languages[$platform][$i].'">'.$languages[$platform][$i].'</option>';
                                            }
                                        }
                                    }
                                    else {
                                        for ($i=0; $i<count($languages[$platform]); $i++) {
                                            echo '<option value="'.$languages[$platform][$i].'">'.$languages[$platform][$i].'</option>';
                                        }
                                    }
                                }
                                else {
                                    echo '<select id="language" name="language" disabled="disabled">';
                                    echo '<option value=" "> </option>';
                                }
                                echo '</select> *';
                                ?>
                            </li>
                            <li>
                            	<label for="application">Application:</label>
                                <?php
								if (isset($_POST['platform']) && $_POST['platform']!="" &&
									isset($_POST['language']) && $_POST['language']!="") {
									echo '<select id="application" name="application">';
									echo '<option> </option>';
									$platform=$_POST['platform'];
									$language=$_POST['language'];
									if (isset($_POST['application']) && $_POST['application']!="") {
										for ($i=0; $i<count($applications[$platform][$language]); $i++) {
											if ($_POST['application']==$applications[$platform][$language][$i]) {
												echo '<option value="'.$applications[$platform][$language][$i].'" selected="selected">'.$applications[$platform][$language][$i].'</option>';
											}
											else {
												echo '<option value="'.$applications[$platform][$language][$i].'">'.$applications[$platform][$language][$i].'</option>';
											}
										}
									}
									else {
										for ($i=0; $i<count($applications[$platform][$language]); $i++) {
											echo '<option value="'.$applications[$platform][$language][$i].'">'.$applications[$platform][$language][$i].'</option>';
										}
									}
								}
								else {
									echo '<select id="application" name="application" disabled="disabled">';
									echo '<option value=" "> </option>';
								}
								echo '</select> *';
								?>
                            </li>
                            <li class="form_buttons">
                            	<button type="submit">Send</button>
			                  	<button type="button" onclick="change_location('new_project.php')">Reset</button>
                            </li>
						</ul>
                     </fieldset>
                 </form>
            </div>
        </div>
        <?php include("foot_project.php"); ?>
    </div>
</body>
</html>
