<?php
/*
WebDevStudio - www.webdevstudio.org
Copyright (C) 2006-2009 WebDevStudio Team (info@webdevstudio.org)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
*/


$path = urldecode($_REQUEST['path']);
$all_filetree = urldecode($_REQUEST['all_filetree']);

//Quitamos la barra del final del path
//$path = substr($path, 0, strlen($path)-1);

header("Content-Type: text/xml");
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");

$xml  = '<?xml version="1.0" encoding="UTF-8"?>';
$xml .= '<filetree>';
$xml .= generate_xmlfiletree($path, $all_filetree);
$xml .= '</filetree>';
echo $xml;

function generate_xmlfiletree($dir, $all_filetree) {
	$xmltree = "";

	$dir_array = scandir($dir);
	$dir_array = sort_tree($dir, $dir_array);
	
	for ($i=0; $i<count($dir_array); $i++) {
		$file = $dir_array[$i];
		//No mostramos el directorio . y .. ni los ficheros ocultos
		if (($file!=".") && ($file!="..") && (substr($file,0,1) != '.') && ($file!="backups")) {
			$fullpath = $dir."/".$file;
			//clearstatcache();
			if(is_dir($fullpath)) {
				//Las ruta de una carpeta siempre acaba en /
				//echo "is dir";
				//$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.rawurlencode($file).'" path="'.rawurlencode($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'">';
				//$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'">';
				$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'">';
				if ($all_filetree == "true") {
					$xmltree .= generate_xmlfiletree($fullpath, $all_filetree);
				}
				$xmltree .= '</folder>';
			}
			else {
				//$finfo = finfo_open(FILEINFO_MIME);
				//if (mime_content_type($fullpath) == "text/plain") {
					//echo "is file";
					//$xmltree .= '<file type="'.filetype($fullpath).'" name="'.rawurlencode($file).'" path="'.rawurlencode($fullpath).'" size="'.filesize($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'" extension="'.$this->get_file_extension($fullpath).'" />';
					//$xmltree .= '<file type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" size="'.filesize($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'" extension="'.$this->get_file_extension($fullpath).'" />';
					
					//$xmltree .= '<file type="'.filetype($fullpath).'" mimetype="'.finfo_file($filename,FILEINFO_MIME).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'" />';
					//$xmltree .= '<file type="'.filetype($fullpath).'" mimetype="'.mime_content_type($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'" />';
					$xmltree .= '<file type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'" />';
				//}
			}
		}
	}

	return $xmltree;  
}


//FUNCIONES AUXILIARES/////////////////////////////////////////////////

/*
  Ordena el contenido del directorio pasado como path
  colocando primero las carpetas y luego los ficheros
*/
function sort_tree($dir, $array_tree) {
	$array_folders = array();
	$array_files = array();
	
	for ($i=0; $i<count($array_tree); $i++) {
		$file = $array_tree[$i];
		$path = $dir."/".$file;
		if (is_dir($path)) {
			array_push($array_folders, $file);
		}
		else {
			array_push($array_files, $file);
		}
	}
	
	return array_merge($array_folders, $array_files);
}


function get_image_extension($path) {
	include('../../config/extension_config.php');
	
	$ext = get_file_extension($path);
	if ($extension[$ext]['image'] == "") {
		$ext = "exe";
	}
	//return "ext: ".$ext;
	return $extension[$ext]['image'];
}


function get_file_extension($path) {
	//echo $path;
	if (is_dir($path)) {
		return "folder";
	}
	/*
	else if (is_executable($path)) {
		return "exe";
	}
	*/
	else {
		//echo "strext: ".substr($path, strripos($path, "."));
		return substr($path, strripos($path, ".")+1);
	}
}
	
?>
